---
title: "Информация о релизе FreeBSD 14.4-RELEASE"
sidenav: download
---

:localRel: 14.4
:releaseCurrent: 14.4-RELEASE
:releaseBranch: 14-STABLE
:releasePrev: 14.3-RELEASE
:releaseNext: 14.5-RELEASE
:releaseType: "release"

include::shared/ru/urls.adoc[]

= Информация о релизе FreeBSD {releaseCurrent}
:doctype: article
:toc: macro
:toclevels: 2
:icons: font

== Аннотация

[.abstract-title]
Информация о релизе FreeBSD {releaseCurrent} содержит сводку изменений, внесённых в базовую систему FreeBSD на линии разработки {releaseBranch}.
Этот документ перечисляет применимые рекомендации по безопасности, выпущенные с момента последнего релиза, а также значительные изменения в ядре FreeBSD и пользовательском пространстве.
Также представлены некоторые краткие замечания по обновлению.

toc::[]

[[intro]]
== Введение

Этот документ содержит информацию о релизе FreeBSD {releaseCurrent}.
В нем описаны недавно добавленные, измененные или удаленные функции FreeBSD.
Также представлены некоторые замечания по обновлению с предыдущих версий FreeBSD.

Дистрибутив {releaseType}, к которому относится эта информация о релизе, представляет собой последнюю точку на ветке разработки {releaseBranch} между {releasePrev} и будущим {releaseNext}.
Информацию о предварительно собранных, бинарных дистрибутивах {releaseType} на этой ветке можно найти на https://www.FreeBSD.org/ru/releases/[].

Данный дистрибутив FreeBSD {releaseCurrent} является дистрибутивом типа {releaseType}.
Его можно найти на https://www.FreeBSD.org/ru/releases/[] или любом из зеркал.
Дополнительную информацию о получении этого (или других) дистрибутивов FreeBSD типа {releaseType} можно найти в link:{handbook}mirrors[Приложении "Получение FreeBSD"] к link:{handbook}[Руководству FreeBSD].

Всем пользователям рекомендуется ознакомиться с исправлениями и дополнениями релиза перед установкой FreeBSD.
Документ с исправлениями и дополнениями обновляется «последней информацией», обнаруженной в конце цикла выпуска или после выпуска.
Обычно он содержит информацию об известных ошибках, уведомлениях о безопасности и исправлениях в документации.
Актуальную копию исправлений и дополнений для FreeBSD {releaseCurrent} можно найти на веб-сайте FreeBSD.

В этом документе описаны наиболее заметные для пользователя новые или измененные функции в FreeBSD после {releasePrev}.
Как правило, описанные здесь изменения уникальны для ветки {releaseBranch}, если они не отмечены специально как функции MERGED.

Обычные пункты информации о релизе документируют недавние бюллетени безопасности, выпущенные после {releasePrev}, новые драйверы или поддержку оборудования, новые команды или опции, основные исправления ошибок или обновления предоставленного программного обеспечения.
Также могут перечисляться изменения в основных портах/пакетах или практиках инженерии выпуска.
Очевидно, что информация о релизе не может перечислить каждое изменение, внесенное в FreeBSD между выпусками; этот документ в основном фокусируется на бюллетенях безопасности, изменениях, заметных для пользователя, и основных архитектурных улучшениях.

[[upgrade]]
== Обновление с предыдущих выпусков FreeBSD

Бинарные обновления между промежуточными сборками и релизными версиями поддерживаются с помощью утилиты man:freebsd-update[8].
Ознакомьтесь с процедурой обновления конкретного релиза, с link:../installation/#upgrade-binary[Информацией об обновлении FreeBSD {releaseCurrent}] и с более подробной информацией в разделе Руководства FreeBSD о link:{handbook}cutting-edge/#freebsdupdate-upgrade[процедуре бинарного обновления].
При этом будут обновлены неизменённые пользовательские утилиты, а также неизменённые ядра GENERIC, распространяемые как часть официального релиза FreeBSD.
Утилита man:freebsd-update[8] требует, чтобы обновляемая система имела подключение к сети Интернет.

Source-based upgrades (those based on recompiling the FreeBSD base system from source code) from previous versions are supported, according to the instructions in [.filename]#/usr/src/UPDATING#.

[IMPORTANT]
====
Попытку обновления FreeBSD следует предпринимать только после резервного копирования _всех_ данных и конфигурационных файлов.
====

[[security-errata]]
== Включенные исправления безопасности и патчи

В этом разделе перечислены различные уведомления о безопасности и исправления, выпущенные после {releasePrev}, которые были устранены в {releaseCurrent}.

[[security]]
=== Бюллетени безопасности (ошибки исправлены)

[.informaltable]
[cols="1,1,1", frame="none", options="header"]
|===
| Бюллетень
| Дата
| Тема

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:06.xz.asc[FreeBSD-SA-25:06.xz]
| 2 июля 2025 г.
| Использование после освобождения в многопоточном декодере xz

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:07.libarchive.asc[FreeBSD-SA-25:07.libarchive]
| 8 августа 2025 г.
| Целочисленное переполнение в libarchive, приводящее к двойному освобождению

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:08.openssl.asc[FreeBSD-SA-25:08.openssl]
| 30 сентября 2025 г.
| Множественные уязвимости в OpenSSL

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:09.netinet.asc[FreeBSD-SA-25:09.netinet]
| 22 октября 2025 г.
| SO_REUSEPORT_LB нарушает работу man:connect[2] для UDP-сокетов

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:10.unbound.asc[FreeBSD-SA-25:10.unbound]
| 26 ноября 2025 г.
| Отравление кэша в службе local-unbound

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:11.ipfw.asc[FreeBSD-SA-25:11.ipfw]
| 16 декабря 2025 г.
| Отказ в обслуживании в ipfw

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:12.rtsold.asc[FreeBSD-SA-25:12.rtsold]
| 16 декабря 2025 г.
| Удаленное выполнение кода через объявления маршрутизаторов ND6

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-26:01.openssl.asc[FreeBSD-SA-26:01.openssl]
| 27 января 2026 г.
| Множественные уязвимости в OpenSSL

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-26:02.jail.asc[FreeBSD-SA-26:02.jail]
| 27 января 2026 г.
| Побег из jail привилегированным пользователем через nullfs

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-26:04.jail.asc[FreeBSD-SA-26:04.jail]
| 24 февраля 2026 г.
| Побег из jail через chroot с помощью обмена файловыми дескрипторами с другим jail

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-26:05.route.asc[FreeBSD-SA-26:05.route]
| 24 февраля 2026 г.
| Локальный отказ в обслуживании и возможное повышение привилегий через маршрутизирующие сокеты
|===

[[errata]]
=== Уведомления об ошибках (ошибки исправлены)

[.informaltable]
[cols="1,1,1", frame="none", options="header"]
|===
| Исправление
| Дата
| Тема

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:10.zfs.asc[FreeBSD-EN-25:10.zfs]
| 2 июля 2025 г.
| Повреждение данных в потоках репликации ZFS из зашифрованных наборов данных

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:12.efi.asc[FreeBSD-EN-25:12.efi]
| 8 августа 2025 г.
| man:bsdinstall[8] не копирует правильный загрузчик в системах с разделом ESP

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:13.wlan_tkip.asc[FreeBSD-EN-25:13.wlan_tkip]
| 8 августа 2025 г.
| Поддержка шифрования TKIP в net80211 не работает для некоторых драйверов

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:14.route.asc[FreeBSD-EN-25:14.route]
| 8 августа 2025 г.
| man:route[8] monitor буферизирует слишком много данных при перенаправлении в файл

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:15.arm64.asc[FreeBSD-EN-25:15.arm64]
| 16 сентября 2025 г.
| arm64: man:syscall[2] позволяет непривилегированному пользователю вызвать панику ядра

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:16.vfs.asc[FreeBSD-EN-25:16.vfs]
| 16 сентября 2025 г.
| man:copy_file_range[2] не устанавливает выходные параметры

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:17.bnxt.asc[FreeBSD-EN-25:17.bnxt]
| 16 сентября 2025 г.
| man:bnxt[4] не устанавливает тип носителя в некоторых случаях

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:18.freebsd-update.asc[FreeBSD-EN-25:18.freebsd-update]
| 30 сентября 2025 г.
| man:freebsd-update[8] устанавливает библиотеки в неправильном порядке

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-26:02.arm64.asc[FreeBSD-EN-26:02.arm64]
| 27 января 2026 г.
| Нарушение выравнивания сигнального контекста SVE на arm64

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-26:03.vm.asc[FreeBSD-EN-26:03.vm]
| 27 января 2026 г.
| Обработчик страничных ошибок не обнуляет память
|===

[[userland]]
== Пользовательское окружение

Этот раздел охватывает изменения и дополнения в пользовательских приложениях, предоставленном программном обеспечении и системных утилитах.

[[userland-config]]
=== Изменения конфигурации пользовательского окружения

[[userland-programs]]
=== Изменения в пользовательских приложениях

Утилита man:newfs[8] получила флаг `-u` для отключения механизма soft updates и журналирования soft updates, предоставляя способ отключить включенные по умолчанию soft updates для файловых систем UFS2.
gitref:929ef0d36c6c[repository=src].
{{< sponsored "Klara, Inc. | NetApp, Inc." >}}

Утилита man:sockstat[1] теперь по умолчанию отображает конечные точки UDP-Lite, обеспечивая видимость этих сокетов наряду с другими сетевыми соединениями.
gitref:23cda744e4da[repository=src].

Утилита man:mdo[1] получила новые опции для управления идентификаторами пользователей и групп в запускаемых процессах, включая `-k` для сохранения текущих пользователей, `-g` и `-G` для установки основной и дополнительных групп, `-s` для дополнения списка дополнительных групп, а также `--euid`/`--ruid`/`--svuid`/`--egid`/`--rgid`/`--svgid` для переопределения конкретных идентификаторов. Это обеспечивает более тонкое управление учетными данными процессов с сохранением совместимости с существующим поведением.
gitref:58f55afb301b[repository=src].
{{< sponsored "The FreeBSD Foundation | Google LLC (GSoC 2025)" >}}

Утилита man:freebsd-update[8] теперь устанавливает разделяемые библиотеки в определенном порядке (libsys, libc, libthr, затем остальные) для предотвращения сбоев при обновлении с 14.x до 15.x.
gitref:e26928669f39[repository=src].
{{< sponsored "https://www.patreon.com/cperciva" >}}

Утилита man:ngctl[8] получила флаг `-j` для запуска внутри jail, что позволяет управлять узлами netgraph из окружения jail. Это дает администраторам возможность настраивать конфигурации netgraph в jail, где ngctl может быть недоступен напрямую.
gitref:04911babef1b[repository=src].

Установщик man:bsdinstall[8] больше не поддерживает установку ZFS на диски с разметкой MBR. Это удаляет ранее неработающую опцию, которая могла приводить к сбоям установки.
gitref:220584471931[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

Появилась новая утилита для управления звуковыми устройствами — man:sndctl[8], с интерфейсом, аналогичным man:mixer[8].
gitref:00988d12bc37[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

Инструмент man:nuageinit[7] теперь поддерживает команду chpasswd, позволяя изменять пароли через список или многострочную строку, включая устаревший синтаксис для совместимости с некоторыми провайдерами.
gitref:6c912470030b[repository=src].
{{< sponsored "OVHCloud" >}}

Утилита man:pkg[7] теперь обрабатывает аргументы командной строки так же, как man:pkg[8], требуя размещения опций в определенных позициях. Это изменяет поведение некоторых ранее допустимых последовательностей команд, например, `pkg -f bootstrap` больше не работает; пользователи должны использовать `pkg bootstrap -f`.
gitref:62947e508161[repository=src].
{{< sponsored "The FreeBSD Foundation | The FreeBSD Foundation" >}}

Добавлены параметры meta и env для jail, позволяющие связывать с каждым jail произвольные строковые метаданные и информацию окружения. Параметры можно задавать при создании jail или изменять позже с помощью `jail -cm`, а просматривать с помощью man:jls[8]. Sysctl `security.jail.meta_maxbufsize` управляет максимальным размером этих параметров.
gitref:527027da391d[repository=src].
{{< sponsored "SkunkWerks GmbH" >}}

Утилита man:swapon[8] теперь поддерживает зашифрованные файлы подкачки с использованием устройств man:md[4] с суффиксом [.filename]#.eli# в man:fstab[5]. Это позволяет настраивать зашифрованную подкачку в fstab, как описано ранее в документации.
gitref:9d80d681ee9d[repository=src].

Утилита man:diff[1] теперь сообщает об ошибках ввода-вывода, возникающих во время сравнения файлов алгоритмом Стоуна, выводя сообщения об ошибках там, где ранее только код возврата указывал на сбой.
gitref:3c10ed2ba3aa[repository=src].
{{< sponsored "Klara, Inc." >}}

Утилита man:diff[1] больше некорректно не сравнивает файл или каталог с самим собой, исправляя ошибку, из-за которой diff мог выдавать вводящие в заблуждение результаты. Кроме того, были сделаны различные внутренние улучшения корректности и надежности (см. связанные коммиты), включая исправление утечек ресурсов в коде постраничного вывода, улучшенную обработку ошибок при операциях с файловыми дескрипторами и предотвращение потенциальных целочисленных переполнений при использовании очень больших контекстных окон. Добавлены дополнительные тесты для проверки этих случаев.
gitref:b4139147bbb7[repository=src],
gitref:6761e555376e[repository=src],
gitref:2434f3b279a9[repository=src],
gitref:238bf5ebf684[repository=src].
{{< sponsored "Klara, Inc." >}}

Скрипт запуска Bluetooth [.filename]#rc.d/bluetooth# теперь повторяет попытку сброса hccontrol до трех раз для повышения надежности и исправляет ошибку перенаправления, которая могла создавать посторонние файлы.
gitref:53d1c328e912[repository=src].

[[userland-contrib]]
=== Предоставленное программное обеспечение

OpenSSL обновлен до версии 3.0.16.
gitref:aed5a47b3a8a[repository=src].

Шрифт Spleen обновлен до версии 2.2.0, добавлены недостающие символы (длинное тире, короткое тире, дефис, угловые скобки, белый квадрат, крестик, двойной крестик) и улучшено выравнивание символов, особенно для дисплеев с высоким разрешением.
gitref:c44ec96b471e[repository=src].

man:libarchive[3] обновлен до версии 3.8.5. Включает исправление ошибки в bsdtar, устраняющее регрессию в обработке шаблонов нулевой длины.
gitref:39fd1181e5b2[repository=src].

man:xz[1] обновлен до версии 5.8.2.
gitref:07700b0107dc[repository=src].

man:mtree[8] обновлен до версии из NetBSD, улучшена совместимость и исправлены ошибки в mtree.
gitref:f9d671f726ac[repository=src].

База данных pci_vendors обновлена до версии 2026-02-10.
gitref:7805899ed791[repository=src].

tzdata обновлена до версии 2025c.
gitref:68e2f4cc5e4e[repository=src].

man:bmake[1] обновлен до версии 20251111.
gitref:c95f96dea30a[repository=src].

SQLite обновлен до версии 3.50.4.
gitref:ef55f6b86626[repository=src].

DNS-резолвер man:unbound[8] обновлён до версии 1.24.1, что устраняет уязвимости к отравлению кэша, связанные с ответами типа YXDOMAIN и «нет данных» (nodata) с типом non-referral, предотвращая возможную атаку отравления кэша со стороны злоумышленника. Это устраняет уязвимость CVE-2025-11411.
gitref:cd40a23fb249[repository=src].

OpenZFS обновлен до версии 2.2.9. Этот выпуск включает улучшения сокращения ARC, исправления проверок безопасности `zpool add`, синхронизации zvol blk-mq и исправления математических ошибок преобразования диапазонов BRT.
gitref:709465f2c4f1[repository=src].

man:less[1] обновлен до версии 685.
gitref:054ae5e7b465[repository=src].

База данных USB-вендоров обновлена до версии 2025-12-13.
gitref:02138275effb[repository=src].

man:unbound[8] обновлен до версии 1.24.1. Этот выпуск включает исправление безопасности для CVE-2025-11411.
gitref:eeb41dca070f[repository=src].

Утилита man:kadmin[1] получила новую опцию `-f` для дампа баз данных Heimdal KDC в формате, совместимом с MIT, что позволяет выполнить миграцию на MIT KDC без воссоздания базы данных с нуля.
gitref:a93e1b731ae4[repository=src].

man:mandoc[1] обновлен до версии 2025-09-26. Обновление улучшает сортировку по регистру в базе данных mandoc, добавляет макросы для версий AT&T Unix 8 и 10, предупреждает о пустых строках в man:man[7] подобно man:mdoc[7], а также исправляет регрессию нижнего колонтитула в PDF/PS.
gitref:7fa4ccb8e4e7[repository=src].

expat обновлен до версии 2.7.3.
gitref:a85cfcb61efd[repository=src].

man:bc[1] и man:dc[1] обновлены до версии 7.1.0.
gitref:ab36487a79cd[repository=src].

Консольный шрифт gallant теперь содержит более 4300 глифов, добавляя поддержку греческого, кириллицы, расширений IPA, расширенной латиницы, символов Zapf Dingbats, стрелок, математических символов, псевдографики, символов валют и глифов Powerline. Это расширяет набор символов, доступных в консоли для многоязычного текста и специальных символов.
gitref:8d2d6647d65a[repository=src].

man:libucl[3] обновлен до версии 0.9.2.
gitref:0a8d8b0c878f[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

man:mandoc[1] обновлен до Groff Compat Edition с улучшенной совместимостью с groff в форматировании, обработке ошибок и рендеринге.
gitref:8039d22f6afd[repository=src].

OpenSSH обновлен до версии 10.0p2. Обновление удаляет поддержку слабого алгоритма подписи DSA и изменяет согласование ключей по умолчанию на пост-квантовый гибридный алгоритм mlkem768x25519-sha256. Фаза аутентификации sshd(8) теперь выполняется в отдельном бинарном файле sshd-auth.
gitref:7ca599aa6139[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

lyaml, привязка Lua для libyaml, теперь доступна в базовой системе.
gitref:c508393e49fc[repository=src].

libyaml обновлен до версии 0.2.5.
gitref:e52f11f4bbc8[repository=src].

Утилита man:nc[1] (netcat) теперь принимает имена служб (например, 'http') в дополнение к номерам портов для опции -p и в качестве аргументов командной строки.
gitref:0fe58344e829[repository=src].

Утилита blocklist (man:blacklistd[8]) обновлена с изменениями из вышестоящего проекта в рамках переименования из blacklist в blocklist.
gitref:4690a369ff6d[repository=src].

[[userland-deprecated-programs]]
=== Устаревшие приложения

Протокол маршрутизации RIP объявлен устаревшим и будет удален в одном из будущих релизов. Страницы руководства для man:routed[8], man:rtquery[8], man:route6d[8] и man:rip6query[8] обновлены с указанием на устаревание. Пользователям, нуждающимся в RIP, следует использовать альтернативы, такие как 'bird' или 'quagga' из коллекции портов.
gitref:d350c18f98fd[repository=src].

[[userland-libraries]]
=== Библиотеки времени выполнения и API

Функции man:inet_net_ntop[3] и man:inet_net_pton[3] обновлены для корректной обработки IPv6-адресов, исправляя предыдущее некорректное поведение.
gitref:b4871be3490d[repository=src].
{{< sponsored "https://www.patreon.com/bsdivy" >}}

Библиотека PAM теперь выполняет поиск модулей в [.filename]#${LOCALBASE}/lib/security# в дополнение к [.filename]#${LOCALBASE}/lib#. Это позволяет находить и использовать модули PAM, установленные из портов, которые следуют соглашению о каталогах Linux.
gitref:65808459e21b[repository=src].

[[cloud]]
== Поддержка облачных сред

Этот раздел охватывает изменения в поддержке облачных сред.

man:nuageinit[7] получил множество улучшений: выполнение теперь журналируется; используется полностью совместимый парсер YAML; улучшена совместимость с cloud-init (добавлены 'runcmd', 'packages', 'fqdn', 'hostname', 'sudo', 'write_files', 'nameservers', 'tzsetup', 'doas'); улучшена поддержка сети с множеством исправлений, добавлена поддержка 'wakeonlan', 'set-name' и 'match.driver'; используется man:resolvconf[8]; пользователь по умолчанию создается только при необходимости. Также добавлена поддержка cloud-init, конфигурации по сети и управления пакетами.
gitref:548d4b2af90b[repository=src],
gitref:5444803b745e[repository=src],
gitref:3a680e954469[repository=src],
gitref:cbd62452bff6[repository=src],
gitref:d056f72c358b[repository=src],
gitref:823f1076c7cd[repository=src],
gitref:bb3bc92f4df6[repository=src].
{{< sponsored "OVHCloud" >}}

[[kernel]]
== Ядро

В этом разделе рассматриваются изменения в конфигурациях ядра, настройке системы и параметрах системного управления, которые не отнесены к другим категориям.

[[kernel-general]]
=== Общие изменения в ядре

Система man:jail[8] по умолчанию будет ограничивать непривилегированных пользователей в родительском jail от планирования, отладки или отправки сигналов процессам в дочерних jail в FreeBSD 15.0 и более поздних версиях.
Для таких операций между jail требуются новые привилегии PRIV_SCHED_DIFFJAIL, PRIV_DEBUG_DIFFJAIL и PRIV_SIGNAL_DIFFJAIL.
В FreeBSD 14.x введен новый параметр jail allow.nounprivileged_parent_tampering для досрочного включения нового поведения, но в FreeBSD 15.x он будет включен по умолчанию, что повлияет на среды разработки, полагающиеся на управление процессами между jail.
gitref:5c6949e12ee6[repository=src].

Изменение исправляет состояние гонки в коде переключения контекста powerpc, которое могло вызывать зависание системы после запуска всех AP, особенно в гостевых системах qemu-system-ppc64 power9 pseries.
gitref:666599639cf6[repository=src].

[[drivers]]
== Устройства и драйверы

В этом разделе рассматриваются изменения и дополнения в устройствах и драйверах устройств, появившиеся после {releasePrev}.

[[drivers-device]]
=== Драйверы устройств

Драйвер man:mrsas[4] теперь поддерживает RAID-контроллер Fujitsu SAS 6Gbit/s 1GB (D3116), который используется в серверах Fujitsu PRIMERGY, таких как RX300 S7.
gitref:653099bcc191[repository=src].

Драйвер man:mfi[4] теперь поддерживает RAID-контроллер Fujitsu SAS 6Gbit/s 1GB (D3116) благодаря добавлению его идентификаторов субвендора и субустройства.
gitref:3690911c355a[repository=src].

Драйвер NVMe теперь поддерживает BAR5 для Table BIR и PBA BIR, что позволяет запускать FreeBSD на машинах Google Compute Engine C4.
gitref:dca645cd3112[repository=src].
{{< sponsored "Google" >}}

Драйвер man:qat[4] теперь поддерживает устройство 402xx (ID 0x4944/0x4945) в рамках существующего драйвера qat_4xxx и добавляет необходимые файлы прошивки.
gitref:af51f41346ad[repository=src].
{{< sponsored "Intel Corporation" >}}

Драйвер man:smartpqi[4] обновлен до версии 4660.0.2002, обеспечивая обновленную поддержку контроллеров Microchip smartpqi.
gitref:ec98cb56861f[repository=src].
{{< sponsored "Microchip Technology Inc." >}}

Драйверы man:ix[4] и man:ixv[4] добавляют поддержку семейства устройств Intel Ethernet E610, включая новые PCI ID для вариантов backplane, SFP, 10 GbE, 2.5 GbE и SGMII. Это обеспечивает скорость соединения 2.5G, 5G и 10G на поддерживаемом оборудовании.
gitref:a728b96686e6[repository=src].
{{< sponsored "Intel Corporation" >}}

Драйвер man:epair[4] теперь поддерживает стабильные MAC-адреса через sysctl `net.link.epair.ether_gen_addr`. Это помогает сохранять согласованные назначения DHCP и динамического DNS при повторном создании интерфейсов epair, например, после перезапуска jail. Поведение по умолчанию остается генерацией случайных MAC-адресов, но установка sysctl в 1 включает стабильные адреса.
gitref:02f70f6633fd[repository=src].

Драйвер man:iwlwifi[4] теперь включает поддержку ACPI, что обеспечивает регуляторные возможности для 802.11ax, 802.11be и настройки усиления антенны для конкретной платформы (PPAG).
gitref:c4496f82680c[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

[[drivers-removals]]
=== Устаревшие и удаленные драйверы

Встроенный в ядро MIDI-секвенсор объявлен устаревшим. Это изменение добавляет уведомление об устаревании в ядро и может затронуть приложения, которые полагаются на этот устаревший интерфейс.
gitref:ab9c9443eec5[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

[[storage]]
== Подсистема хранения данных

В этом разделе рассматриваются изменения и дополнения в файловых системах и других подсистемах хранения данных, как локальных, так и сетевых.

[[storage-general]]
=== Общие изменения в системах хранения

Добавлена новая реализация файловой системы 9P (man:p9fs[4]) для использования с устройствами bhyve virtio-9p. Она позволяет гостевым системам получать доступ к файлам хоста через общие ресурсы и может использоваться как корневая или некорневая файловая система. Драйвер загружается с помощью `virtio_p9fs_load=YES` в [.filename]#loader.conf#.
gitref:615fba7c6b39[repository=src].

Файловая система man:tarfs[4] теперь корректно обрабатывает большие файлы, превышающие лимиты в 4 ГБ и 8 ГБ. Исправлены ошибки декомпрессии при поиске позиции за пределами 4 ГБ в tar-архивах, сжатых zstd, и правильно обрабатываются записи расширенных заголовков для файлов размером более 8 ГБ.
gitref:35c612fbabd8[repository=src].
{{< sponsored "Klara, Inc." >}}

Файловые системы man:nullfs[4] и man:unionfs[4] теперь выполняют более строгие проверки для vnode корневого каталога jail во время поиска '..', предотвращая потенциальную уязвимость побега из chroot.
gitref:3feafab4a34c[repository=src].

[[boot]]
== Загрузчик

Этот раздел охватывает загрузчик, загрузочное меню и другие изменения, связанные с загрузкой.

[[boot-loader]]
=== Изменения в загрузчике

Загрузчик EFI теперь использует функции Blt, предоставляемые прошивкой, только при использовании Graphics Output Protocol (GOP), что позволяет избежать проблем на старых системах на базе UGA, таких как MacBook.
gitref:6741fb1bd4f4[repository=src].

Файл описания устройства (device tree blob) для Raspberry Pi Zero 2W теперь включен в образы SD-карт релиза, обеспечивая поддержку этой модели оборудования.
gitref:fce5d401a803[repository=src].

Установщик man:bsdinstall[8] теперь копирует [.filename]#loader.efi# во все ESP, созданные для многотомных наборов данных ZFS, обеспечивая резервирование загрузки в случае отказа основного диска.
gitref:d8e73f45fc5f[repository=src].
{{< sponsored "Netflix" >}}

Пакеты с прошивками для беспроводных устройств теперь включены в установочные носители bootonly, позволяя пользователям загружать установочные файлы через беспроводное соединение.
gitref:2ee0f3c954e7[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

[[network]]
== Сеть

Этот раздел описывает изменения, влияющие на сеть в FreeBSD.

[[network-general]]
=== Общие сетевые изменения

Код совместимости для версий IPFW, предшествующих FreeBSD 8, удален для упрощения кодовой базы. Пользователи или сторонние модули, которые все еще полагаются на старые интерфейсы совместимости, должны выполнить миграцию перед обновлением.
gitref:57865e505aef[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

Добавлен бинарный файл [.filename]#sbin/ipfw15# с обновленным KBI для совместимости с ядрами 15.0+. Оригинальный бинарный файл man:ipfw[8] обнаруживает новый KBI и автоматически запускает ipfw15, обеспечивая возможность загрузки правил межсетевого экрана во время обновления. Утилита также устанавливается как [.filename]#/sbin/dnctl15# для совместимости с dummynet.
gitref:969e2b406835[repository=src].

[[wireless-networking]]
=== Беспроводные сети

Подсистема net80211 обновлена для корректной поддержки ширины каналов VHT160 и VHT80P80 с современными точками доступа, приводя ее в соответствие с изменениями от 802.11ac-2013 до 802.11-2020. Это включает поддержку VHT160 и VHT80P80 в коде совместимости драйверов 802.11 LinuxKPI, что влияет на производительность и совместимость беспроводных соединений.
gitref:ccdd6285df5d[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

[[hardware]]
== Поддержка оборудования

Этот раздел охватывает общую поддержку оборудования для физических машин, гипервизоров и сред виртуализации, а также изменения и обновления оборудования, которые не подходят в другие разделы этого документа.

Пожалуйста, ознакомьтесь со link:https://www.freebsd.org/releases/{localRel}R/hardware[списком оборудования], поддерживаемым {releaseCurrent}, а также с link:https://www.freebsd.org/platforms/[страницей платформ] для полного списка поддерживаемых архитектур процессоров.

[[hardware-virtualization]]
=== Поддержка виртуализации

man:bhyve[8] теперь сообщает, что SVM отключен в регистре управления виртуальной машиной, предотвращая зависания на системах AMD с современными гостевыми ОС Windows.
gitref:321a15380668[repository=src].

[[documentation]]
== Документация

В этом разделе рассматриваются изменения на страницах Справочника (man:man[1]) и другой документации, поставляемой в составе базовой системы.

[[man-pages]]
=== Страницы Справочника

Файл UPDATING обновлен, чтобы отразить, что примеры файлов теперь устанавливаются в [.filename]#/usr/share/examples# в соответствии с задуманным, благодаря предыдущему исправлению в системе сборки.
gitref:d149be3a0cbe[repository=src].

Руководство по команде man:builtin[1] было оптимизировано и дополнено новым разделом о встроенных привязках клавиш.
gitref:b98efcdb6210[repository=src]

Страница руководства man:newaliases[1] обновлена, чтобы уточнить, что она предназначена для man:sendmail[8].
gitref:e3df9a78da6b[repository=src].

Страница руководства man:ps[1] теперь документирует, что `-a` и `-A` показывают все процессы независимо от других опций выбора, а также разъясняет поведение `-J`.
gitref:f18a49a747f7[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

Страница руководства man:write[2] теперь включает новый раздел, описывающий гарантии атомарности операций записи.
gitref:c19f161f5f65[repository=src].

Добавлены страницы руководств для нескольких провайдеров DTrace, включая man:dtrace_fbt[4] (трассировка границ функций), man:dtrace_vfs[4] (активность VFS), man:dtrace_pid[4] (трассировка процессов на пользовательском уровне), man:dtrace_priv[4] (проверки привилегий) и man:dtrace_callout_execute[4] (выполнение обработчиков callout).
gitref:0c91fa982437[repository=src],
gitref:04bb91e9c5f7[repository=src],
gitref:ff6b04c37e78[repository=src],
gitref:f69bf8f994e5[repository=src],
gitref:7d43404485bf[repository=src].

Появились новые или улучшенные руководства для большинства контроллеров Ethernet-коммутаторов, включая man:mtkswitch[4], man:ip17x[4], man:ar40xx[4], man:arswitch[4], man:e6000sw[4] и man:e6060sw[4].
gitref:f31ac06711e6[repository=src],
gitref:17e9eb1e0eb7[repository=src],
gitref:1343a5b616ec[repository=src],
gitref:d0e29f92f7a2[repository=src],
gitref:5e0e046d95a9[repository=src],
gitref:ded154a1df97[repository=src].

Добавлены страницы руководств man:linuxkpi[4] и man:linuxkpi_wlan[4], предоставляющие краткую документацию по LinuxKPI и его функциям совместимости с 802.11.
gitref:669062384f55[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

Страница руководства man:vt[4] теперь включает пример увеличения размера буфера прокрутки и раздел, объясняющий консольные шрифты, охватывающий преобразование, поддержку и использование.
gitref:ce92b9d8332a[repository=src].
gitref:c330c43e58d7[repository=src].

Добавлена страница руководства man:cdboot[8], документирующая ранее недокументированную утилиту cdboot.
gitref:d659366cc62a[repository=src].

Страница руководства man:crash[8] обновлена в соответствии с текущим поведением системы, удалены ссылки на устаревшие сообщения паники и обновлены рекомендации по носителям для восстановления.
gitref:4f2140aa9677[repository=src].

Страница руководства man:dumpon[8] теперь показывает настройки для изменения поведения дампов man:crash[8].
gitref:7c8717183536[repository=src].

Страница руководства man:ipfw[8] теперь документирует, как удалить экземпляр конфигурации NAT.
gitref:186ac4724746[repository=src].

Страница руководства утилиты man:mtree[8] обновлена, чтобы уточнить, что ключевое слово `type` остается обязательным и не удаляется с помощью `-R all`. Это обеспечивает согласованное поведение и предотвращает возможное неправильное толкование команды.
gitref:f957857c4835[repository=src].

Страница руководства man:pf.conf[5] теперь документирует, что диапазоны сетевых адресов, используемые в качестве элементов в списковых макросах, должны заключаться в кавычки с дополнительными одинарными кавычками.
gitref:0077daf9cdc4[repository=src].

Страница руководства man:pw[8] теперь разъясняет допустимые форматы списков участников для флагов `-M`, `-m` и `-d` опций `groupadd` и `groupmod`.
gitref:78343cd2a0f1[repository=src].

//
// The FreeBSD Russian Documentation Project
//
// Original EN revision (08.03.2026): 3eb3eda63ee9b17a5255b09af1ef9f2bb6d2e47e
//
